/* =============================================
   HERO
   ============================================= */

.hero { overflow: hidden; }

.hero__inner {
  display: grid;
  grid-template-columns: 1fr 1.3fr;
  gap: 30px;
}

.hero__media {
  margin-left: -40px;
  overflow: hidden;
  
      height: 800px;
  position: relative;
  border-bottom-right-radius: 22px;
}
@media (min-width: 1280px) {
  .hero__media {
    margin-left: calc((100vw - 1200px) / 2 * -1);
    height: 1000px;
  }
}
.hero__media img { display: block; width: 100%; height: 100%; object-fit: cover; position: absolute; left: 0; top: 0; }

.hero__content { display: flex; flex-direction: column; align-self: flex-end; }

.hero__badge {
  display: inline-block;
  text-transform: uppercase;
  letter-spacing: 0.04em;
  margin-bottom: 40px;
  font-weight: 700;
  font-size: 14px;
}

.hero__title { margin-bottom: 20px; }
.hero__description { color: var(--graphite); margin-bottom: 20px; }

.hero__actions { display: grid; align-items: center; gap: 20px; margin-bottom: 100px; flex-wrap: wrap; width: 100%; grid-template-columns: 1fr 1fr;  }
.hero__btn { height: 52px; padding: 0 28px; }

.hero__stats {
  position: relative;
  display: grid;
  grid-template-columns: max-content 1fr max-content;
  column-gap: 1fr;
  row-gap: 40px;
}
.hero__stats::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  height: 1px;
  background: var(--soft-sand);
}
.hero__dot-wrapper {
  grid-column: 2;
  grid-row: 1 / 3;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  position: relative;
  height: 100%;
}
.hero__dot-wrapper::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1px;
  background: var(--soft-sand);
}
.hero__stats-dot {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
}

.hero__stat { display: flex; gap: 10px; align-items: baseline; grid-column: 1; }
.hero__stat:nth-child(odd):not(:first-child) {
  grid-column: 3;
}
.hero__stat-value { color: var(--deep-navy); }
.hero__stat-label { color: var(--graphite); }

@media (max-width: 1080px) {
  .hero {
    padding-top: 10px;
  }

  .hero__inner { grid-template-columns: 1fr; gap: 20px; }
  .hero__content { padding-top: 0; }
  .hero__description { max-width: none; }

  .hero__media {
    margin-left: 0px;
    border-radius: 12px;
    height: 350px;
    width: 100%;
  }

  .hero__stats {
    grid-template-columns: 1fr 60px 1fr;
  }

  .hero__stat {
    justify-self: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
}

@media (max-width: 768px) {
  .hero__badge { margin-bottom: 20px; }
  .hero__title { margin-bottom: 10px; }
  .hero__description { margin-bottom: 20px; }
  .hero__actions { gap: 10px; margin-bottom: 20px; grid-template-columns: 1fr; }
  .hero__btn { padding: 0 16px; white-space: nowrap; }
  .hero__stats { column-gap: 24px; row-gap: 20px; }

  .hero__media {
    height: 200px;
  }
}
